Create Bank Billet Payment
POSTTag: api-paas-post-banking-billet-paymentDescription: Create a new bank billet payment by providing the required information in the request body and executing the operation./banking/billet-payments
Request
Header Parameters
- If there's no value: The default protection checks that the values in this request are equal: { method, params, path, query, body, userId }. This means that if a request repeats the same values, it will be blocked.
- 'nonce': The nonce and { method, params, path, query, body, userId } value are checked. When the protection schema is this, requests will be OK if this nonce value is different in each request.
- 'x-transaction-uuid': The transactionId and { method, params, path, query, body, userId } value are checked. Requests will be OK if this x-transaction-uuid value is different in each request.
- 'x-transaction-uuid&nonce' or 'nonce&x-transaction-uuid': The nonce, transactionId value and { method, params, path, query, body, userId } are checked, i.e. if requests are repeated the same value in both fields, they will be blocked. But if any field has a different value, the request is OK.
The replay-protection-schema allows the user to choose between 3 options:
The transaction ID is a UUID (v4) used to uniquely identify the object that will be created. All objects must have an identifier.
Sender Wallet UUID (if empty, your default Wallet UUID will be settled)
The nonce ID is a UUID (v4) used to uniquely identify the request. All requests must have an identifier.
UUID (v4) of the product that the request should use. Send it explicitly when the authenticated user has more than one product or when the integration must select a specific product. If omitted and the endpoint does not require it, the API uses the authenticated user's default product.
UUID (v4) of the user on whose behalf the request should run within the selected product. If omitted, the request runs as the authenticated user. Requires x-product-uuid.
Possible values: [pt-BR, en-US]
Indicates the preferred language. Defaults to Brazilian Portuguese if unspecified.
- application/json
Body
required
Decoded bank billet ID.
Amount specified in Brazilian Real (R$) cents.
Specify a date to schedule the payment. If not provided, the payment will be processed immediately. Format: 'YYYY-MM-DD'.
Responses
- 201
- 400
- 401
- 422
Banking billet payment created.
- application/json
- Schema
- Example (from schema)
Schema
Bank billet payment ID.
Scheduled bank billet payment ID.
Bank billet payment operation ID.
Possible values: [PENDING, WAITING, WAITING_CMP, CONFIRMED, FAILED, CANCELED]
Bank billet payment status.
Amount specified in Brazilian Real (R$) cents.
Payment date.
Creation date.
{
"id": "295564a9-c5fd-4e73-9abb-72e0383f2dfb",
"scheduled_banking_billet_payment_id": "295564a9-c5fd-4e73-9abb-72e0383f2dfb",
"operation_id": "295564a9-c5fd-4e73-9abb-72e0383f2dfb",
"status": "PENDING",
"amount": 1299,
"payment_date": "2026-07-25T17:11:53.235Z",
"created_at": "2026-07-25T17:11:53.235Z"
}
If any required params are missing or has invalid format or type.
User authentication failed.
If any required params are missing or has invalid format or type.